[build-system]
requires = ["setuptools"]
build-backend = "setuptools.build_meta"

[project]
name = "lorry"
readme = "README.md"
requires-python = ">=3.6"
dependencies = [
  "PyYAML",
]
dynamic = ["version"]

[project.urls]
Repository = "https://gitlab.com/CodethinkLabs/lorry/lorry"

[tool.setuptools]
packages = ["lorry"]
script-files = [
  "bin/lorry",
  "bin/lorry-ssh-wrapper",
  "bin/lorry.gzip-importer",
  "bin/lorry.raw-file-importer",
  "bin/lorry.tar-importer",
  "bin/lorry.zip-importer",
]
license-files = ["LICENSE"]

[tool.setuptools.dynamic]
version = {attr = "lorry.__version__"}
